// creator  : weidu.exe (version 23100)
// argument : SHAAVA01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SHAAVA01~

IF ~~ THEN BEGIN 0 // from: 6.0
  SAY #42188 /* ~It is Dawn, O Seeker of Light. What is thy first duty?~ */
  IF ~~ THEN REPLY #42466 /* ~I shall sing a hymn to the Sun Lord.~ */ GOTO 3
  IF ~~ THEN REPLY #42468 /* ~I shall say a prayer to the Light.~ */ GOTO 1
  IF ~~ THEN REPLY #42469 /* ~I shall recite the Tenets of Faith.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #42472 /* ~What shall you do second in the Ritual?~ */
  IF ~~ THEN REPLY #42478 /* ~I shall hold high my children that they might see the Sun.~ */ GOTO 3
  IF ~~ THEN REPLY #42479 /* ~I shall raise my hands to the Light.~ */ GOTO 3
  IF ~~ THEN REPLY #42480 /* ~I shall hold high the Holy Book that the Sun might bless it.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.2
  SAY #42481 /* ~How shall the Ritual end?~ */
  IF ~~ THEN REPLY #42482 /* ~I shall reflect on the glory of the Light as it conquers the Dark.~ */ DO ~SetGlobal("MornRitual","GLOBAL",1)~ GOTO 10
  IF ~~ THEN REPLY #42483 /* ~I shall rejoice at the dominance of Light.~ */ GOTO 3
  IF ~~ THEN REPLY #42484 /* ~I shall mourn and weep as the Sun gives way to the Darkness.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 16.2 16.0 15.1 15.0 14.2 14.1 9.2 9.1 8.2 8.1 7.1 7.0 2.2 2.1 1.1 1.0 0.2 0.0
  SAY #42485 /* ~That is incorrect! Mock not the Ritual! Ignorance is thy companion!~ */
  IF ~~ THEN DO ~ReallyForceSpell(LastTalkedToBy,CLERIC_FLAME_STRIKE)~ EXIT
END

IF ~Global("RitualDone","GLOBAL",0)~ THEN BEGIN 4 // from:
  SAY #42486 /* ~Child of the Sun, shall you take the test of the Holy Ritual? You must prove your conviction before the Sun Lord shall offer up his Symbol.~ */
  IF ~~ THEN REPLY #42492 /* ~I am prepared to take the test.~ */ GOTO 6
  IF ~~ THEN REPLY #42493 /* ~I do not yet wish to be tested.~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.1
  SAY #42494 /* ~So be it. The Sun Lord will not yet bless thee until thy faith is known.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.0
  SAY #42495 /* ~It is well. Prove your faith and be blessed.~ */
  IF ~Global("MornRitual","GLOBAL",0)
Global("NoonRitual","GLOBAL",0)
Global("EveRitual","GLOBAL",0)
~ THEN GOTO 0
  IF ~Global("MornRitual","GLOBAL",1)
Global("NoonRitual","GLOBAL",0)
Global("EveRitual","GLOBAL",0)
~ THEN GOTO 7
  IF ~Global("MornRitual","GLOBAL",1)
Global("NoonRitual","GLOBAL",1)
Global("EveRitual","GLOBAL",0)
~ THEN GOTO 14
END

IF ~~ THEN BEGIN 7 // from: 6.1
  SAY #42496 /* ~The Sun is high. Noon is upon us. How shall thee honor the Lord?~ */
  IF ~~ THEN REPLY #42497 /* ~I shall lift my voice in joyful prayer.~ */ GOTO 3
  IF ~~ THEN REPLY #42498 /* ~I shall recite the Tenets of the Faith.~ */ GOTO 3
  IF ~~ THEN REPLY #42499 /* ~I shall sing a hymn of praise to Amaunator.~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.2
  SAY #42500 /* ~How shall you next welcome the zenith of the Sun?~ */
  IF ~~ THEN REPLY #42501 /* ~I shall raise my hands to the Light.~ */ GOTO 9
  IF ~~ THEN REPLY #42502 /* ~I shall hold up my children that they might see the Sun.~ */ GOTO 3
  IF ~~ THEN REPLY #42503 /* ~I shall lift the holy book that the Sun might bless it.~ */ GOTO 3
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #42504 /* ~How shall the Noontide Ritual end?~ */
  IF ~~ THEN REPLY #42505 /* ~I shall rejoice at the dominance of Light.~ */ DO ~SetGlobal("NoonRitual","GLOBAL",1)~ GOTO 13
  IF ~~ THEN REPLY #42506 /* ~I shall mourn and weep as the Sun passes and Dark again prevails.~ */ GOTO 3
  IF ~~ THEN REPLY #42507 /* ~I shall reflect on the Glory of the Sun as it conquers the Dark.~ */ GOTO 3
END

IF ~~ THEN BEGIN 10 // from: 2.0
  SAY #42510 /* ~So ends the Morning Ritual.~ */
  IF ~OR(3)
Global("MornRitual","GLOBAL",0)
Global("NoonRitual","GLOBAL",0)
Global("EveRitual","GLOBAL",0)~ THEN GOTO 11
  IF ~Global("MornRitual","GLOBAL",1)
Global("NoonRitual","GLOBAL",1)
Global("EveRitual","GLOBAL",1)~ THEN GOTO 12
END

IF ~~ THEN BEGIN 11 // from: 13.1 10.0
  SAY #42512 /* ~Return when thy faith is ready to face the final tests.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 17.0 13.0 10.1
  SAY #42513 /* ~The Tests have ended. Amaunator in His Glory offers thee this symbol. Use it and its brothers to form the Symbol of Amaunator. That is the ward required to open the door to the Lair of the Dark One.~ */
  IF ~~ THEN DO ~AddExperienceParty(45500)
GiveItemCreate("KEY04",LastTalkedToBy,0,0,0)
SetGlobal("RitualDone","GLOBAL",1)~ UNSOLVED_JOURNAL #9932 /* ~Investigate the deaths in the Umar Hills.

I have solved the riddles of the rituals, and the statue has given me a gem which it called a symbol of Amaunator, saying I would require it and its brothers to open the door to the Lair of the Dark One.~ */ EXIT
END

IF ~~ THEN BEGIN 13 // from: 9.0
  SAY #42623 /* ~So ends the Noontide Ritual.~ */
  IF ~Global("MornRitual","GLOBAL",1)
Global("NoonRitual","GLOBAL",1)
Global("EveRitual","GLOBAL",1)~ THEN GOTO 12
  IF ~OR(3)
Global("MornRitual","GLOBAL",0)
Global("NoonRitual","GLOBAL",0)
Global("EveRitual","GLOBAL",0)~ THEN GOTO 11
END

IF ~~ THEN BEGIN 14 // from: 6.2
  SAY #42627 /* ~It is dusk and as the Darkness moves in, the Evening Ritual must be said to ward off evil. What is the first step?~ */
  IF ~~ THEN REPLY #42629 /* ~I will recite the Tenets of the Faith.~ */ GOTO 15
  IF ~~ THEN REPLY #42630 /* ~I will say a prayer to the Sun.~ */ GOTO 3
  IF ~~ THEN REPLY #42631 /* ~I will sing a hymn to the Lord.~ */ GOTO 3
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #42632 /* ~The shadows grow longer. What must be done second?~ */
  IF ~~ THEN REPLY #42633 /* ~I will raise my hands to the light.~ */ GOTO 3
  IF ~~ THEN REPLY #42634 /* ~I will hold the Holy Tome up to the Sun that it might be blessed.~ */ GOTO 3
  IF ~~ THEN REPLY #42638 /* ~I will hold high my children that they might see the Sun.~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.2
  SAY #42639 /* ~How shall the Evening Ritual end?~ */
  IF ~~ THEN REPLY #42640 /* ~I shall reflect on the glory of Light as it reigns over Darkness.~ */ GOTO 3
  IF ~~ THEN REPLY #42641 /* ~I shall mourn as I watch the Sun give way to the onslaught of night.~ */ DO ~SetGlobal("EveRitual","GLOBAL",1)~ GOTO 17
  IF ~~ THEN REPLY #42643 /* ~I shall rejoice as Light conquers Darkness.~ */ GOTO 3
END

IF ~~ THEN BEGIN 17 // from: 16.1
  SAY #42646 /* ~The Evening Ritual is completed.~ */
  IF ~~ THEN GOTO 12
END

IF ~Global("RitualDone","GLOBAL",1)
OR(2)
!Dead("SHADEL")
!Dead("SHALT01")
~ THEN BEGIN 18 // from:
  SAY #43029 /* ~The lessons are completed. One key has been given. All three keys shall thee need to form the Symbol of Amaunator and pass into the Darkness. The Dark Altar and Shade Lord must be destroyed. Such is the will of Amaunator.~ */
  IF ~~ THEN EXIT
END

IF ~Dead("SHALT01")
Dead("SHADEL")~ THEN BEGIN 19 // from:
  SAY #43829 /* ~Thy work is done. Amaunator's Blessing upon thee.~ */
  IF ~~ THEN EXIT
END
